use $(DatabaseName);
GO
DECLARE @SQLVersion as int;
PRINT N'SQL productversion ' + 
	  CONVERT(VARCHAR(128), SERVERPROPERTY ('productversion')) + 
	  N'.';
SET @SQLVersion =
 CASE  
     WHEN CONVERT(VARCHAR(128), SERVERPROPERTY ('productversion')) like '8%' THEN 2000
     WHEN CONVERT(VARCHAR(128), SERVERPROPERTY ('productversion')) like '9%' THEN 2005
     WHEN CONVERT(VARCHAR(128), SERVERPROPERTY ('productversion')) like '10.0%' THEN 2008
     WHEN CONVERT(VARCHAR(128), SERVERPROPERTY ('productversion')) like '10.5%' THEN 2008
     WHEN CONVERT(VARCHAR(128), SERVERPROPERTY ('productversion')) like '11%' THEN 2012
     WHEN CONVERT(VARCHAR(128), SERVERPROPERTY ('productversion')) like '12%' THEN 2014
     WHEN CONVERT(VARCHAR(128), SERVERPROPERTY ('productversion')) like '13%' THEN 2016     
     WHEN CONVERT(VARCHAR(128), SERVERPROPERTY ('productversion')) like '14%' THEN 2017 
     WHEN CONVERT(VARCHAR(128), SERVERPROPERTY ('productversion')) like '15%' THEN 2019 
     ELSE 2020
  END
PRINT N'SQL version ' + 
	  RTRIM(CAST(@SQLVersion as nchar(4))) + 
	  N'.';
IF (@SQLVersion >= 2017)
BEGIN
PRINT N'Calling sp_add_trusted_assembly for the secRMM assemblies' 
EXEC sp_add_trusted_assembly 0xE806BB90B3E23753F3DBD0AEA515265030B8516FB28D46A0A515752D2E0BC748B2DC8AF21C06FDDCDB24523F850AB85832B264C3BE05E0248AA7A1C1B6598FD3, N'secRMMSQLScalarValuedFunction, Version=9.10.7.0, Culture=neutral, PublicKeyToken=3e0a3c0254caec2d'
EXEC sp_add_trusted_assembly 0xC517585F871F8650B511CCD0E979BF32DCCA93FB07B5A31058AB5448B8EDF76244C0DEBA077182E798EA0254461BDDC12F2A32D11962B06423AC78903A36947C, N'secRMMSQLTableValuedFunction, Version=9.10.7.0, Culture=neutral, PublicKeyToken=3e0a3c0254caec2d'
END
